View Issue Details

IDProjectCategoryView StatusLast Update
15719Bug reportsSurvey editingpublic2020-01-28 17:39
ReporterDenisChenu Assigned ToJHoeck  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Summary15719: Unable to edit question title if survey is activated
Description

See Summary

Steps To Reproduce

Activate survey in 3
Try to edit question title : allowed : screenshot of 3 send , question type update are disallowed.
Activate survey in 4
Try to edit question title : disallowed

Additional Information

Only subquestion title are disallowed AND there are already feature request asking to be allowed to edit subquestion title (but we can not do since we use it for DB)

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevantn
PHP Versionnot relevantn

Relationships

child of 15660 closedJHoeck Question code is editable when survey is active - LimeSurvey 4 

Activities

DenisChenu

DenisChenu

2020-01-15 16:35

developer  

cdorin

cdorin

2020-01-15 17:31

manager   ~55302

Thanks for the heads up :) . Assigned. It will be fixed for the next minor release

JHoeck

JHoeck

2020-01-20 15:48

developer   ~55388

Fixed in branch origin bug/15719-unable-edit-question-code-survey-active

DenisChenu

DenisChenu

2020-01-20 16:10

developer   ~55391

@JHoeck, thanks. Please can you put the link to the fork when you fix the issue ?

JHoeck

JHoeck

2020-01-21 10:06

developer   ~55395

@DenisChenu https://github.com/LimeSurvey/LimeSurvey/commit/9cb3d3daf33c26e57c7b3f3ed918fee36a93f145

DenisChenu

DenisChenu

2020-01-21 10:37

developer   ~55398

Thank you :)

JHoeck

JHoeck

2020-01-28 15:42

developer   ~55513

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29464

lime_release_bot

lime_release_bot

2020-01-28 17:39

administrator   ~55535

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master 12e2ec1b

2020-01-20 15:45:21

JHoeck

Details Diff
Fixed issue 15719: Unable to edit question title if survey is active Affected Issues
15719
mod - assets/packages/questioneditor/src/App.vue Diff File

Issue History

Date Modified Username Field Change
2020-01-15 16:35 DenisChenu New Issue
2020-01-15 16:35 DenisChenu File Added: Capture d’écran du 2020-01-15 16-35-11.png
2020-01-15 16:36 DenisChenu Relationship added child of 15660
2020-01-15 17:23 JHoeck Assigned To => JHoeck
2020-01-15 17:23 JHoeck Status new => assigned
2020-01-15 17:31 cdorin Note Added: 55302
2020-01-17 15:32 JHoeck Assigned To JHoeck => cdorin
2020-01-20 15:34 JHoeck Assigned To cdorin => JHoeck
2020-01-20 15:48 JHoeck Status assigned => resolved
2020-01-20 15:48 JHoeck Resolution open => fixed
2020-01-20 15:48 JHoeck Note Added: 55388
2020-01-20 16:10 DenisChenu Note Added: 55391
2020-01-21 10:06 JHoeck Note Added: 55395
2020-01-21 10:37 DenisChenu Note Added: 55398
2020-01-28 15:42 JHoeck Changeset attached => LimeSurvey master 12e2ec1b
2020-01-28 15:42 JHoeck Note Added: 55513
2020-01-28 17:39 lime_release_bot Note Added: 55535
2020-01-28 17:39 lime_release_bot Status resolved => closed